---
title: USBIsochronousInTransferResult
slug: Web/API/USBIsochronousInTransferResult
tags:
  - API
  - Experimental
  - Interface
  - NeedsExample
  - Reference
  - USBIsochronousInTransferResult
  - WebUSB
  - WebUSB API
---
<p>{{draft}}{{securecontext_header}}{{APIRef("WebUSB API")}}</p>

<p>The <code>USBIsochronousInTransferResult</code> interface of the <a href="/en-US/docs/Web/API/WebUSB_API" rel="nofollow">WebUSB API</a> provides the result from a call to the <code>isochronousTransferIn()</code> method of the <code>USBDevice</code> interface. It represents the result from requesting a transfer of data from the USB device to the USB host.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("USBIsochronousInTransferResult.USBIsochronousInTransferResult()")}}</dt>
 <dd>Creates a new <code>USBIsochronousInTransferResult</code> object with the provided <code>packets</code> and <code>data</code> fields.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("USBIsochronousInTransferResult.data")}}{{readonlyInline}}</dt>
 <dd>Returns a <code>DataView</code> object containing the data received from the device. This is the combined data from all packets. See the individual <code>DataView</code> objects in the <code>packets</code> array for the portion of this buffer containing data from each packet.</dd>
 <dt>{{domxref("USBIsochronousInTransferResult.packets")}}{{readonlyInline}}</dt>
 <dd>Returns an array of <code>USBIsochronousInTransferPacket</code> objects containing the result of each request to receive a packet from the device.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web USB','#usbisochronousintransferresult','USBIsochronousInTransferResult')}}</td>
   <td>{{Spec2('Web USB')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.USBIsochronousInTransferResult")}}</p>
